<?php

namespace Database\Seeders;

use App\Models\Institution\InstitutionType;
use Illuminate\Database\Seeder;

class InstitutionTypeSeeder extends Seeder {

    public array $types = [
        'Care Setting',
        'Police',
        'Local Authority',
        'General Practitioner',
        'Prison Service',
    ];

    /**
     * Run the database seeds.
     */
    public function run(): void {
        foreach ($this->types as $type) {
            InstitutionType::create([
                'display_name' => $type,
            ]);
        }
    }
}
